import {abstractDataStrategyRight} from "./abstractDataStrategyRight";
import mapToObj from "../../../util/mapToObj";

export class gridEventCountStrategy extends abstractDataStrategyRight {
    execute(params?: any): any {
        this.paramsCheck(params);
        const gridList = ['寿州全域', '八公山景区', '寿县古城'];
        const target = '网格名称';
        return mapToObj(this.getListCount(gridList, target, this.eventData, params.query.year));
    }
}